Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512486 - [iso]: glusterfs-events package should be available in RHGS ISO
Summary: [iso]: glusterfs-events package should be available in RHGS ISO
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution
Version: rhgs-3.3
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.3.1
Assignee: Sreenath G
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 10:44 UTC by Rahul Hinduja
Modified: 2019-01-09 03:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-09 03:33:51 UTC


Attachments (Terms of Use)

Description Rahul Hinduja 2017-11-13 10:44:47 UTC
Description of problem:
=======================

Currently RHEL 7 RHGS ISO do not contain glusterfs-events package the same was with the GA'ed ISO. However it is important to have all engineering packages available by channel to be available in ISO as well. 

The choice should be at default installation, the package might not be available as part of default installation (if justified). Incase of offline ISO (install/upgrade), the packages should be able to install.


Version-Release number of selected component (if applicable):
=============================================================

    RHGSS-3.3.1-RHEL-7-20171108.n.0-RHGSS-x86_64-dvd1.iso

Additional info:
================

RHGSWA also uses events package and if the RHGSWA packages are available in ISO, the glusterfs-events package should also be available.

Comment 2 Sreenath G 2017-11-13 12:50:52 UTC
Hi Rahul,

       Please note that glusterfs-event was not there in previous release RHGS-3.3.0 ISO also (currently in prod). Please check [1] and [2]

Also below are the sub-pkgs in RH-Gluster-Core group in ISO compose. So since none of the other packages pulls in glusterfs-event, we will have to explicitly add glusterfs-events package to the same group 

<packagereq type="default">glusterfs</packagereq>
      <packagereq type="default">glusterfs-fuse</packagereq>
      <packagereq type="default">glusterfs-server</packagereq>
      <packagereq type="optional">glusterfs-rdma</packagereq>
      <packagereq type="default">glusterfs-geo-replication</packagereq>
      <packagereq type="optional">resource-agents</packagereq>
      <packagereq type="default">pcs</packagereq>
      <packagereq type="optional">pacemaker</packagereq>
      <packagereq type="optional">libxslt</packagereq>
      <packagereq type="optional">corosync</packagereq>
      <packagereq type="optional">libqb</packagereq>
      <packagereq type="optional">sbd</packagereq>
      <packagereq type="default">redhat-storage-server</packagereq>

[1] http://download-node-02.eng.bos.redhat.com/released/RHGS/3.3/RHGSS-3.3-RHEL-6/latest-RHGSS-3-RHEL-6/compose/RHGSS/x86_64/os/Packages/

[2] http://download-node-02.eng.bos.redhat.com/released/RHGS/3.3/RHGSS-3.3-RHEL-7/latest-RHGSS-3-RHEL-7/compose/RHGSS/x86_64/os/Packages/

Comment 3 Rejy M Cyriac 2017-11-13 13:29:03 UTC
If RHGS Web Administration requires the glusterfs-events package to be available at the RHGS nodes, then one of the RHGS Web Admin node-agent packages should probably pull it in as a dependency

Since the RHGS Web Admin node-agent packages are to be included at the ISO, and are to be set as default packages to be installed at ISO, this will pull in the glusterfs-events package into the ISO as well as have it installed by default

Can the dependency be incorporated at any of the RHGS Web Admin node-agent packages ?

Comment 4 Nishanth Thomas 2017-11-14 05:46:01 UTC
tendrl-gluster-integration already has this dependency which pulls glusterfs-events package during installation.

Comment 5 Sreenath G 2017-11-15 10:41:33 UTC
glusterfs-events is present in RHGS-3.3.1-RHEL-7 Snapshot-2 ISO, but automatically pulled in by tendrl-gluster-integration. 

But if this need to be under a group as "default" or "optional", then that need to be mentioned.

Comment 6 Vinayak Papnoi 2017-11-20 11:15:43 UTC
Version : RHGSS-3.3.1-RHEL-7-20171117.0-RHGSS-x86_64-dvd1.iso

After installation, "rpm -qa | grep glusterfs-events" shows "glusterfs-events-3.8.4-52.el7rhgs.x86_64".

Hence, moving to verified.


Note You need to log in before you can comment on or make changes to this bug.